Summary: MSWord Document to HTML converter
Name: wv
Version: 0.5.43
Release: 1
Group: Applications/Text
Copyright: GPL
URL: http://www.wvWare.com/
Vendor: Caolan McNamara <Caolan.McNamara@ul.ie>
Packager: Hao Li <hli@wag.caltech.edu>
Source:	http://www.csn.ul.ie/~caolan/publink/mswordview/development/wv-%{version}.tar.gz
#Obsoletes: mswordview
BuildRoot: /var/tmp/%{name}-root

%description
MSWordView is a program that understands the Microsoft Word 8
binary file format (Office97) and is able to convert Word
documents into HTML, which can then be read with a browser.

wv is a suite of programs to help convert Word Documents to HTML.


%prep
%setup -q -n wv


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=/usr
make

# Makeing wvHtml.xml look at file:///usr/lib/wv for the 2 gifs.
# perl -i -pe 's#(wvSmall.gif|vh40.gif)#file:///usr/lib/wv/$1#g' wvHtml.xml


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
ln -sf wvConvert $RPM_BUILD_ROOT/usr/bin/wvText

# Installing some missing gifs
#install -m 644 vh40.gif $RPM_BUILD_ROOT/usr/lib/wv/
#install -m 644 wvSmall.gif $RPM_BUILD_ROOT/usr/lib/wv/


%files
%defattr(-,root,root)
%doc ABIWORD-SUGGESTIONS CHANGELOG COPYING CREDITS D_CREDITS D_README
%doc HACKING INSTALL KNOWN-BUGS README TESTING TODO.TXT
%doc examples feature-examples gateway helper-scripts notes
/usr/bin/*
/usr/include/*
/usr/man/man*/*
/usr/lib/libwv*
/usr/lib/wv


%clean
rm -rf $RPM_BUILD_ROOT

